#' Fragpipe LFQ 
#' @format List containing the `intensities` table, the experiment `design` and the `parameters` following the Generic Format. 
#' @details The data can be used to run the entire workflow `runGenericDiscovery`. 
#' 
#' @references PRIDE Project PXD026401 https://www.ebi.ac.uk/pride/archive/projects/PXD026401
"fragpipe_data"

#' MaxQuant LFQ 
#' @format List containing the `intensities` table, the experiment `design` and the `parameters` following the Generic Format. 
#' @details The data can be used to run the entire workflow `runGenericDiscovery`. 
#' Download MaxQuant processed data from: https://app.massdynamics.com/experiments/c6fc6c60-fe65-47cb-bd6d-a021f0ed8720#/results-files
#' @references PRIDE Project PXD002057 
#' @references Creedon, H. et al. Identification of novel pathways linking epithelial-to-mesenchymal transition with resistance to HER2-targeted therapy. Oncotarget 7, 11539–11552 (2016). 
"mq_lfq_data"


#' Proteome Discoverer LFQ
#' @format List containing the `intensities` table, the experiment `design` and the `parameters` following the Generic Format. 
#' @details The data can be used to run the entire workflow `runGenericDiscovery`. 
#' Download MaxQuant processed data from: https://app.massdynamics.com/experiments/1e2b17ed-835d-40bf-be75-c6a15f962ed0#/results-files
#' @references PRIDE Project PXD010981
#' @references Griss, Johannes, et al. 2019. “Spectral Clustering Improves Label-Free Quantification of Low-Abundant Proteins.” Journal of Proteome Research 18 (4): 1477–85.
#' @references Choi M,  et al. ABRF Proteome Informatics Research Group (iPRG) 2015 Study: Detection of Differentially Abundant Proteins in Label-Free Quantitative LC-MS/MS Experiments. J Proteome Res. 2017 16(2):945-957, PubMed: 27990823
"pd_iPRG_data"